# Conditional build:
%bcond_without  python2         # build python 2 module
%bcond_without  python3         # build python 3 module

%define		module		requests_oauthlib
%define		egg_name	requests_oauthlib
%define		pypi_name	requests-oauthlib
Summary:	First-class OAuth library support for python-requests
Name:		python-%{pypi_name}
Version:	0.8.0
Release:	3
License:	ISC
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	4358a879a4377393bcfd37d0f9ae6d4d
URL:		https://github.com/requests/requests-oauthlib
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules >= 1:2.6
Requires:	python-oauthlib >= 0.4.2
Requires:	python-requests >= 1.0.0
Obsoletes:	python-requests_oauthlib < 0.6.1-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
First-class OAuth library support for python-requests.

%package -n python3-%{pypi_name}
Summary:	First-class OAuth library support for python-requests
Group:		Development/Languages/Python
Requires:	python3-modules >= 3.2
Requires:	python3-oauthlib >= 0.4.2
Requires:	python3-requests >= 1.0.0
Obsoletes:	python3-requests_oauthlib < 0.6.1-3

%description -n python3-%{pypi_name}
First-class OAuth library support for python-requests.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Mon Jul 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests-oauthlib.git;a=log;h=master

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d062d3c
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 876d04f
- release 2 (by relup.sh)

* Fri May 11 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 87fa7a0
- Version: 0.8.0

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> d6b5e11
- drop bogus cleanup

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 6a83a70
- renamed to python-requests-oauthlib

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e0f244
- python 3.6
- release 2 (by relup.sh)

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> c86c504
- v0.6.1 (19 February 2016)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 4d7e429
- use rpm python macros
- rel 4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 26ac90b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b37622f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1249599
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cd17d86
- release 2 (by relup.sh)

* Tue Sep 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c571afb
- up to 0.5.0

* Thu Sep 12 2013 Jacek Konieczny <jajcus@jajcus.net> a6a4313
- new package

